package com.jxml.quick.util.qdml2qjml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;
import com.jxml.quick.recycle.*;
import com.jxml.quick.engine.*;

public class QCText extends OCMpeerSupportLite
{
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMText dm=(QMText)dataModel;
		QDML2QJML.SubQdml2Qjml c=(QDML2QJML.SubQdml2Qjml)context;
		c.currentCoinLabel=dm.getLabel();
		QMTargetClass tc=new QMTargetClass();
		tc.text=c.tagToClass(dm.getLabel());
		dm.target=tc;
	}
}
